<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>問題12.1 - 離散的な時間の1次元ランダムウォーク &mdash; 計算機実習2014</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="author" title="このドキュメントについて" href="../about.html" />
    <link rel="top" title="計算機実習2014" href="../index.html" />
    <link rel="next" title="問題12.2 - 2次元のランダムウォーク" href="../12-2_random_walk_d2/12-2.html" />
    <link rel="prev" title="問題6.16 - 標準写像" href="../6-16_standard_map/6-16.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="../12-2_random_walk_d2/12-2.html" title="問題12.2 - 2次元のランダムウォーク"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../6-16_standard_map/6-16.html" title="問題6.16 - 標準写像"
             accesskey="P">前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="label">
<span id="id1"></span><h1><a class="toc-backref" href="#id8">問題12.1 - 離散的な時間の1次元ランダムウォーク</a><a class="headerlink" href="#label" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="contents topic" id="contents">
<p class="topic-title first">Contents</p>
<ul class="simple">
<li><a class="reference internal" href="#label" id="id8">問題12.1 - 離散的な時間の1次元ランダムウォーク</a><ul>
<li><a class="reference internal" href="#id2" id="id9">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3" id="id10">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4" id="id11">実習課題</a></li>
<li><a class="reference internal" href="#id5" id="id12">まとめ</a></li>
<li><a class="reference internal" href="#huroku" id="id13">付録: 平均値の標準偏差</a></li>
<li><a class="reference internal" href="#id7" id="id14">参考文献</a></li>
</ul>
</li>
</ul>
</div>
<div class="section" id="id2">
<h2><a class="toc-backref" href="#id9">シミュレーションの目的</a><a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>本シミュレーションでは、ランダムウォークの最も簡単な場合として、並進対称な1次元の格子上を一定の時間間隔で遷移するモデルを考える。ランダムウォークの分散について知られていることとして、十分大きな<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>に対して<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>はべき乗則</p>
<div class="math" id="equation-e1">
<p><span class="eqno">(1)</span><img src="../_images/math/1981961757f50d25928a6a5b16d5022421a85312.png" alt="&lt;\Delta x^{2}(N)&gt; \sim N^{2\nu}"/></p>
</div><p>を満たす。ここで記号<img class="math" src="../_images/math/d6c123be3c91725c4eb1b34db530f02c685cd55d.png" alt="\sim"/>は&#8221;漸近的に等しい&#8221;ことを意味し、式<a href="#equation-e1">(1)</a>は漸近的なスケーリング則の1例となっている。今簡単な1次元ランダムウォークのモデル(右と左に進む確率が等しいとき)では、すべての<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>で式<a href="#equation-e1">(1)</a>が成り立ち、<img class="math" src="../_images/math/9a1d6636b59ea2018d263ead28f8f5775276a137.png" alt="\nu = 1/2"/>となる。</p>
</div>
<div class="section" id="id3">
<h2><a class="toc-backref" href="#id10">作成したプログラム</a><a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>Pythonを用いて作成したプログラムを以下に示す。</p>
<ul class="simple">
<li>1次元ランダムウォークのシミュレーション( <a class="reference download internal" href="../_downloads/12-1_random_walk_d1.py"><tt class="xref download docutils literal"><span class="pre">12-1_random_walk_d1.py</span></tt></a> )</li>
</ul>
<p>このプログラムでは、右に遷移する確率をprobとして指定し、numpyモジュールの乱数生成メソッドを用いて、ランダムな[0,1)の数を配列pに格納している。各ステップごとにprobの値と乱数の値とを比較して、右か左にlだけ変化させた値を次の時間での変位として記録する(今はl=1)。関数calc_aveでは、<img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>、<img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/>の値を計算する。関数showを用いると、上の計算結果をもちいて、<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>に対する<img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>、<img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/>、<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>のグラフを表示することができる。関数caluculate_errorは問題bで使用し、引数に与えた整数値までのランダムウォークの計算を行って、試行回数を増やしていったときに<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>の精度が1％未満になっているかどうかを判定する。</p>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#! /usr/bin/env python</span>
<span class="c"># -*- coding:utf-8 -*-</span>
<span class="c">#</span>
<span class="c"># written by Shotaro Fujimoto, May 2014.</span>

<span class="kn">import</span> <span class="nn">numpy</span> <span class="kn">as</span> <span class="nn">np</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="kn">as</span> <span class="nn">plt</span>

<span class="k">class</span> <span class="nc">RandomWalk1</span><span class="p">():</span>
    
    <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">prob</span><span class="o">=</span><span class="mf">0.7</span><span class="p">,</span> <span class="n">l</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span> <span class="n">nwalkers</span><span class="o">=</span><span class="mi">1000</span><span class="p">,</span> <span class="n">x0</span><span class="o">=</span><span class="mi">0</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; Initial function in RandomWalk1.</span>
<span class="sd">        </span>
<span class="sd">        prob     : probability that a particle moves right</span>
<span class="sd">        l        : step length</span>
<span class="sd">        nwalkers : number of trials</span>
<span class="sd">        x0       : initial position</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">prob</span> <span class="o">=</span> <span class="n">prob</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">l</span> <span class="o">=</span> <span class="n">l</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span> <span class="o">=</span> <span class="n">nwalkers</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">x0</span> <span class="o">=</span> <span class="n">x0</span>
        
    <span class="k">def</span> <span class="nf">random_walk_d1</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">N</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; Caluculate the displacements of each walkers.</span>
<span class="sd">        </span>
<span class="sd">        N : A list of walk steps</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="n">x</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">([</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span><span class="p">,</span> <span class="nb">max</span><span class="p">(</span><span class="n">N</span><span class="p">)],</span> <span class="s">&#39;i&#39;</span><span class="p">)</span>
        <span class="n">p</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">random</span><span class="o">.</span><span class="n">random</span><span class="p">([</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span><span class="p">,</span> <span class="nb">max</span><span class="p">(</span><span class="n">N</span><span class="p">)</span><span class="o">-</span><span class="mi">1</span><span class="p">])</span> <span class="c"># generate random number in [0,1)</span>
        <span class="n">prob</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">prob</span>
        <span class="n">l</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">l</span>
        <span class="n">x0</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">x0</span>
        
        <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span><span class="p">):</span>
            <span class="n">x</span><span class="p">[</span><span class="n">n</span><span class="p">][</span><span class="mi">0</span><span class="p">]</span> <span class="o">=</span> <span class="n">x0</span>
            <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="mi">1</span><span class="p">,</span><span class="nb">max</span><span class="p">(</span><span class="n">N</span><span class="p">)):</span>
                <span class="n">d</span> <span class="o">=</span> <span class="o">+</span><span class="n">l</span> <span class="k">if</span> <span class="n">p</span><span class="p">[</span><span class="n">n</span><span class="p">][</span><span class="n">i</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span> <span class="o">&lt;</span> <span class="n">prob</span> <span class="k">else</span> <span class="o">-</span><span class="n">l</span>
                <span class="n">x</span><span class="p">[</span><span class="n">n</span><span class="p">][</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="n">x</span><span class="p">[</span><span class="n">n</span><span class="p">][</span><span class="n">i</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span> <span class="o">+</span> <span class="n">d</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">x</span> <span class="o">=</span> <span class="n">x</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">N</span> <span class="o">=</span> <span class="n">N</span>
    
    <span class="k">def</span> <span class="nf">calc_ave</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; Caluculate the average of displacements after max(N) steps.</span>
<span class="sd">        </span>
<span class="sd">        You can call the results by &quot;self.N&quot;, &quot;self.x_ave&quot;, and &quot;self.x_2_ave&quot;</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="n">x</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">x</span>
        <span class="n">x_ave</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">))</span>
        <span class="k">for</span> <span class="n">i</span><span class="p">,</span><span class="n">nvalue</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">):</span>
            <span class="n">x_ave</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="nb">sum</span><span class="p">([</span><span class="n">x</span><span class="p">[</span><span class="n">n</span><span class="p">][</span><span class="n">nvalue</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span><span class="o">*</span><span class="mf">1.</span> <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="nb">xrange</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span><span class="p">)])</span><span class="o">/</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span>

        <span class="n">x_2_ave</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">))</span>
        <span class="k">for</span> <span class="n">i</span><span class="p">,</span><span class="n">nvalue</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">):</span>
            <span class="n">x_2_ave</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="nb">sum</span><span class="p">([</span><span class="n">x</span><span class="p">[</span><span class="n">n</span><span class="p">][</span><span class="n">nvalue</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span><span class="o">**</span><span class="mf">2.</span> <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="nb">xrange</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span><span class="p">)])</span><span class="o">/</span><span class="bp">self</span><span class="o">.</span><span class="n">nwalkers</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">x_ave</span> <span class="o">=</span> <span class="n">x_ave</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">x_2_ave</span> <span class="o">=</span> <span class="n">x_2_ave</span>
      
    <span class="k">def</span> <span class="nf">show</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; Show the graph.</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="n">fig</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="s">&#39;random walk&#39;</span><span class="p">,</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">8</span><span class="p">))</span>
        
        <span class="n">ax1</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">311</span><span class="p">)</span>
        <span class="n">ax1</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="n">n</span> <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">],</span> <span class="bp">self</span><span class="o">.</span><span class="n">x_ave</span><span class="p">)</span>
        <span class="n">ax1</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s">r&#39;$&lt;x(N)&gt;$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>

        <span class="n">ax2</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">312</span><span class="p">)</span>
        <span class="n">ax2</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="n">n</span> <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">],</span> <span class="bp">self</span><span class="o">.</span><span class="n">x_2_ave</span><span class="p">)</span>
        <span class="n">ax2</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s">r&#39;$&lt;x^{2}(N)&gt;$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>

        <span class="n">ax3</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">313</span><span class="p">)</span>
        <span class="n">ax3</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s">r&#39;$&lt;\Delta x^{2}(N)&gt;$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>
        <span class="n">ax3</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="n">n</span> <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="bp">self</span><span class="o">.</span><span class="n">N</span><span class="p">],</span> <span class="bp">self</span><span class="o">.</span><span class="n">x_2_ave</span><span class="o">-</span><span class="bp">self</span><span class="o">.</span><span class="n">x_ave</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>
        <span class="n">ax3</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="s">r&#39;$N$&#39;</span><span class="p">)</span>

        <span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
        
    <span class="k">def</span> <span class="nf">caluculate_error</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">N</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; Caluculate the error of &lt;\Delta x^{2}(N)&gt; and preview.</span>
<span class="sd">        </span>
<span class="sd">        N : (int)</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="n">resN_0</span> <span class="o">=</span> <span class="mf">4.</span><span class="o">*</span><span class="bp">self</span><span class="o">.</span><span class="n">prob</span><span class="o">*</span><span class="p">(</span><span class="mf">1.</span><span class="o">-</span><span class="bp">self</span><span class="o">.</span><span class="n">prob</span><span class="p">)</span><span class="o">*</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">l</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span><span class="o">*</span><span class="n">N</span>
        <span class="n">_N</span> <span class="o">=</span> <span class="nb">range</span><span class="p">(</span><span class="mi">1</span><span class="p">,</span><span class="n">N</span><span class="o">+</span><span class="mi">1</span><span class="p">)</span>
        
        <span class="n">M</span> <span class="o">=</span> <span class="mi">2</span>
        <span class="n">count</span> <span class="o">=</span> <span class="mi">0</span>
        <span class="k">while</span> <span class="n">count</span> <span class="o">&lt;</span> <span class="mi">15</span><span class="p">:</span>
            <span class="n">resN</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">(</span><span class="n">M</span><span class="p">,</span> <span class="s">&#39;f&#39;</span><span class="p">)</span>
            <span class="k">for</span> <span class="n">m</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="n">M</span><span class="p">):</span>
                <span class="bp">self</span><span class="o">.</span><span class="n">random_walk_d1</span><span class="p">(</span><span class="n">_N</span><span class="p">)</span>
                <span class="n">t</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">calc_ave</span><span class="p">()</span>
                <span class="n">resN</span><span class="p">[</span><span class="n">m</span><span class="p">]</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">x_2_ave</span><span class="p">[</span><span class="n">N</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span><span class="o">-</span><span class="bp">self</span><span class="o">.</span><span class="n">x_ave</span><span class="p">[</span><span class="n">N</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span><span class="o">**</span><span class="mi">2</span>
            <span class="n">std_resN</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">std</span><span class="p">(</span><span class="n">resN</span><span class="p">)</span>
        
            <span class="k">if</span> <span class="n">M</span> <span class="o">&gt;</span> <span class="p">(</span><span class="n">std_resN</span><span class="o">*</span><span class="mf">100.</span><span class="o">/</span><span class="n">resN_0</span><span class="p">)</span><span class="o">**</span><span class="mi">2</span><span class="p">:</span>
                <span class="k">print</span> <span class="nb">str</span><span class="p">(</span><span class="n">M</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot; &amp; $&gt;$ &amp; &quot;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">((</span><span class="n">std_resN</span><span class="o">/</span><span class="p">(</span><span class="mf">0.01</span><span class="o">*</span><span class="n">resN_0</span><span class="p">))</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span> \
                      <span class="o">+</span> <span class="s">&quot; &amp; &quot;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="n">count</span><span class="o">+</span><span class="mi">1</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot; </span><span class="se">\\\\</span><span class="s">&quot;</span>
                <span class="n">count</span> <span class="o">+=</span><span class="mi">1</span>
            <span class="k">else</span><span class="p">:</span>
                <span class="k">print</span> <span class="nb">str</span><span class="p">(</span><span class="n">M</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot; &amp; $&lt;$ &amp; &quot;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">((</span><span class="n">std_resN</span><span class="o">/</span><span class="p">(</span><span class="mf">0.01</span><span class="o">*</span><span class="n">resN_0</span><span class="p">))</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot; &amp; </span><span class="se">\\\\</span><span class="s">&quot;</span>            
            <span class="n">M</span> <span class="o">+=</span> <span class="mi">1</span>
        <span class="k">return</span> <span class="bp">None</span>
    
<span class="k">if</span> <span class="n">__name__</span> <span class="o">==</span> <span class="s">&#39;__main__&#39;</span><span class="p">:</span>
    
    <span class="n">rw1</span> <span class="o">=</span> <span class="n">RandomWalk1</span><span class="p">()</span>
    <span class="c"># --- 問題a ---</span>
    <span class="n">N</span> <span class="o">=</span> <span class="p">[</span><span class="mi">4</span><span class="p">,</span> <span class="mi">8</span><span class="p">,</span> <span class="mi">16</span><span class="p">,</span> <span class="mi">32</span><span class="p">]</span> <span class="c"># caluculate when N = *</span>
    <span class="n">rw1</span><span class="o">.</span><span class="n">random_walk_d1</span><span class="p">(</span><span class="n">N</span><span class="p">)</span>
    <span class="n">rw1</span><span class="o">.</span><span class="n">calc_ave</span><span class="p">()</span>
    <span class="n">rw1</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
    
    <span class="c"># --- 問題b ---</span>
<span class="c">#    rw1.caluculate_error(8) # 8 or 32</span>
</pre></div>
</td></tr></table></div>
</div>
<div class="section" id="id4">
<h2><a class="toc-backref" href="#id11">実習課題</a><a class="headerlink" href="#id4" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ol class="loweralpha simple">
<li>右に動く確率を<img class="math" src="../_images/math/f92027bccbe08ae951318c37efe41ae95f153443.png" alt="p=0.7"/>とする。<img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>と<img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/>を<img class="math" src="../_images/math/cad085b6d0fb4d37aea68ffe2b981d4e6afc5b74.png" alt="N=4,8,16,32"/>について計算せよ。この場合の<img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>はどのように説明できるか。<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>がどう<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>に依存するか定性的に答えよ。<img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/>は単純な<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>依存性を示すか。</li>
</ol>
<p><img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>と<img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/>、<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>について、<img class="math" src="../_images/math/6a4e70366ae61947b2e119dadd0f90bcc1f0c9ca.png" alt="\mathrm{nwalkers}=1000"/>としてそれぞれの<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>について計算を行い、この結果を横軸を<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>としてグラフにしたものを<a class="reference internal" href="#fig-12-1-f1"><em>図1</em></a>に示す。このグラフから読み取れることとして、まず、<img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>は<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>に対して線形に増加しており、これは以下のような簡単な計算の結果と一致している。また、傾きの大きさも<img class="math" src="../_images/math/f62e5c5ddda77bfe2ec522abc625d93f2cb0668b.png" alt="2p-1=0.4"/>となっていることが分かる。</p>
<div class="math">
<p><img src="../_images/math/842d18e55c49000d5a6c98d2278c12ae52194e3e.png" alt="&lt;x(N)&gt;  &amp;= \sum_{i=1}^{N}\{ p\times 1 + (1-p)\times (-1)\} \\
&amp;= \sum_{i=1}^{N}(2p-1) = (2p-1)N"/></p>
</div><p>次に、<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>については、<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>の1乗に比例していることが見て取れる(すなわち<img class="math" src="../_images/math/9a1d6636b59ea2018d263ead28f8f5775276a137.png" alt="\nu = 1/2"/>である)。これも、一般の場合に<img class="math" src="../_images/math/bfbbf20dcb78af98c68bfcedcb53955ab4b3191b.png" alt="&lt; \Delta x^{2}(N)&gt; =4pql^{2}N"/>と表せることと合致している。</p>
<div class="align-center figure" id="fig-12-1-f1">
<a class="reference internal image-reference" href="../_images/figure_1.png"><img alt="../_images/figure_1.png" src="../_images/figure_1.png" style="width: 16.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>に対する<img class="math" src="../_images/math/80322654ba338c5af7d0ab4567a18a267e3a453a.png" alt="&lt;x(N)&gt;"/>と<img class="math" src="../_images/math/a0c186cb31dc1b737de27b78adc6702f1372d3cd.png" alt="&lt;x^{2}(N)&gt;"/>、<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>のグラフ</p>
</div>
<ol class="loweralpha simple" start="2">
<li>第11.4節で述べた誤差解析の方法を用いて、<img class="math" src="../_images/math/91ed7e950d10530c893bb97126107eb71aa0922d.png" alt="N=8"/>と<img class="math" src="../_images/math/83840721d3e7664e87cf3b7d66b446af5ba84bb0.png" alt="N=32"/>の場合の<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>を精度1％で得るために必要な試行の回数を求めよ。</li>
</ol>
<p>(a)で述べたように、解析的に<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>の値は求められるので、その値を真の値<img class="math" src="../_images/math/7f7e221679165f5d159b6ac3802b7979e964e05c.png" alt="&lt; \Delta x^{2}(8)&gt; _{0} = 4 \times 0.7 \times 0.3 \times 8 = 6.72"/>、<img class="math" src="../_images/math/74bdf3a44af86bfc65b40b22efa4a35587faacca.png" alt="&lt; \Delta x^{2}(32)&gt; _{0} = 4 \times 0.7 \times 0.3 \times 32 = 26.88"/>として、それとの相対誤差が1％となるような試行回数Mを求めればよい。すなわち標準誤差を<img class="math" src="../_images/math/ed5aa7fa17aab003ad875d18104f874530ae2c2d.png" alt="\sigma_{m}"/>として</p>
<div class="math">
<p><img src="../_images/math/ae9d63f8be2ad2e3311e19fd7cf1216c96cd4e6b.png" alt="\frac{\sigma_{m}}{&lt; \Delta x^{2}(N)&gt; _{0}} \times 100 \leq 1 \sigma_{m} \leq 0.01 &lt;\Delta x^{2}(N)&gt;"/></p>
</div><p>となる。ここで、<a class="reference internal" href="#huroku"><em>付録</em></a>に示すように、<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>回の試行を行う1回の測定で得られた分散を<img class="math" src="../_images/math/2298cf1485084afe72757a9c8483af49a138d81f.png" alt="\sigma"/>とすると</p>
<div class="math">
<p><img src="../_images/math/5aa064cc6c55bf93a9fedc0b6f8c7ae94744651f.png" alt="\sigma_{m} = \frac{\sigma}{\sqrt{n}}"/></p>
</div><p>が成り立つので、これを代入すると(<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>を<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>と読み替えて)</p>
<div class="math" id="equation-e2">
<p><span class="eqno">(2)</span><img src="../_images/math/9b2d2d68ba6b5e70ae228ca5147163a3043d080f.png" alt="M \geq \left( \frac{\sigma\times 100}{&lt; \Delta x^{2}(N)&gt;_{0}}\right) ^{2}"/></p>
</div><p>が得られる。<img class="math" src="../_images/math/2298cf1485084afe72757a9c8483af49a138d81f.png" alt="\sigma"/>が<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>の関数として決まっている場合は、<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>の値を解析的に求めることができるが、今の場合<img class="math" src="../_images/math/2298cf1485084afe72757a9c8483af49a138d81f.png" alt="\sigma"/>を<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>の関数として求める方法はわからない。したがって、<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>の値を2から順に大きくしていき、<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>の値と式<a href="#equation-e2">(2)</a>の右辺の計算値とを比較していくことにする。この結果をまとめたものを<a class="reference internal" href="#tab-12-1-t1"><em>表1</em></a>,<a class="reference internal" href="#tab-12-1-t2"><em>表2</em></a>に示す。これらの試行から、<img class="math" src="../_images/math/2dc8f19cbf4d2587548d09af41991aceeab5e2b3.png" alt="&lt;\Delta x^{2}(N)&gt;"/>を精度1％で得るために必要な試行の回数<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>は、<img class="math" src="../_images/math/6a4e70366ae61947b2e119dadd0f90bcc1f0c9ca.png" alt="\mathrm{nwalkers}=1000"/>であるときには、<img class="math" src="../_images/math/91ed7e950d10530c893bb97126107eb71aa0922d.png" alt="N=8"/>のとき<img class="math" src="../_images/math/41c5b10f8bca8d740e2bd30913033139333b7c84.png" alt="M\geq 19"/>、<img class="math" src="../_images/math/83840721d3e7664e87cf3b7d66b446af5ba84bb0.png" alt="N=32"/>のとき<img class="math" src="../_images/math/0ef767d207d0d6af0542e726abf575491834ea99.png" alt="M\geq 26"/>ほどであれば良いことが分かる。それより小さい<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>では、精度1％で求められることもあるが、下限値として適切ではない。</p>
<span class="target" id="tab-12-1-t1"></span><span class="target" id="tab-12-1-t2"></span></div>
<div class="section" id="id5">
<h2><a class="toc-backref" href="#id12">まとめ</a><a class="headerlink" href="#id5" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このシミュレーションでは、離散時間の1次元ランダムウォークの簡単な例を実施することができた。また、測定の精度を上げるために試行回数を増やすことなど、定量的な誤差について学ぶ機会となった。</p>
</div>
<div class="section" id="huroku">
<span id="id6"></span><h2><a class="toc-backref" href="#id13">付録: 平均値の標準偏差</a><a class="headerlink" href="#huroku" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><img class="math" src="../_images/math/2298cf1485084afe72757a9c8483af49a138d81f.png" alt="\sigma"/>を測定の標準偏差とすると、<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>回の試行からなる単独の測定の誤差が<img class="math" src="../_images/math/938eac6df2a76bdbbb25eef679cc14fb325dc87b.png" alt="\sigma/\sqrt n"/>に等しくなることを、解析的に導く。注目する測定量を<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>で表し、それぞれが<img class="math" src="../_images/math/75e27f04188974063be3230dca208cd495b77ce1.png" alt="N"/>回の試行からなる<img class="math" src="../_images/math/2de38926392ba23abeac75effc66c37a5f5be5fd.png" alt="M"/>組の、合計して<img class="math" src="../_images/math/c94bdc35177cd689249b8f53d47aaeb740f8376f.png" alt="mn"/>回の試行からなる測定の組を考える。特定の測定を表すために添字<img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/>を使い、ある測定の<img class="math" src="../_images/math/a581f053bbfa5115f42c13094857cdd12a37ec49.png" alt="i"/>回目の試行を表すために添字<img class="math" src="../_images/math/a581f053bbfa5115f42c13094857cdd12a37ec49.png" alt="i"/>を用いる。測定<img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/>の<img class="math" src="../_images/math/a581f053bbfa5115f42c13094857cdd12a37ec49.png" alt="i"/>回目の試行の結果を<img class="math" src="../_images/math/9c0ddef626a07f5d267a85a2fe759a34db63473f.png" alt="x_{\alpha, i}"/>で表すと、測定の値は</p>
<div class="math">
<p><img src="../_images/math/a55233cae08772c2acb78e28194b13dd07d282ac.png" alt="M_{\alpha} = \frac{1}{n}\sum_{\alpha = 1}^{n}x_{\alpha, i}"/></p>
</div><p>で与えられる。さらに<img class="math" src="../_images/math/c94bdc35177cd689249b8f53d47aaeb740f8376f.png" alt="mn"/>回のすべての試行についての平均<img class="math" src="../_images/math/1325767a854dfd2a501e82ac62e5d62488f4cc74.png" alt="\bar{M}"/>は</p>
<div class="math">
<p><img src="../_images/math/1a21d6107e3704d8275e3b863c1191cc04cd6dff.png" alt="\bar{M} = \frac{1}{m}\sum_{\alpha=1}^{m}M_{\alpha} = \frac{1}{mn} \sum_{\alpha}^{m}\sum_{i=1}^{n} x_{\alpha , i}"/></p>
</div><p>となる。<img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/>番目の測定値とすべての測定の平均値との差は</p>
<div class="math">
<p><img src="../_images/math/146a83fef4dfa1215acd17889551453ef0e39782.png" alt="e_{\alpha} = M_{\alpha} - \bar{M}"/></p>
</div><p>である。平均値の分散は</p>
<div class="math" id="equation-e3">
<p><span class="eqno">(3)</span><img src="../_images/math/d690e5c1aa3d99ac7d58ed30b9cd954c429fa734.png" alt="\sigma_{m}^{2} = \frac{1}{m}\sum_{\alpha=1}^{m} e_{\alpha}^{2}"/></p>
</div><p>と書くことができる。</p>
<p><img class="math" src="../_images/math/ed5aa7fa17aab003ad875d18104f874530ae2c2d.png" alt="\sigma_{m}"/>と各測定の試行の分散との関係を調べることにしよう。個々の試行結果<img class="math" src="../_images/math/9c0ddef626a07f5d267a85a2fe759a34db63473f.png" alt="x_{\alpha, i}"/>と平均値との差<img class="math" src="../_images/math/440427781bfc0723a20290bbd77e65478e1610f1.png" alt="d_{\alpha, i}"/>は</p>
<div class="math">
<p><img src="../_images/math/f38f1b79072e2e03e18f6218048048eda2d61b8c.png" alt="d_{\alpha, i} = x_{\alpha, i} - \bar{M}"/></p>
</div><p>で与えられる。したがって、<img class="math" src="../_images/math/c94bdc35177cd689249b8f53d47aaeb740f8376f.png" alt="mn"/>回の試行についての分散<img class="math" src="../_images/math/c257a14ece85ea075f075f381c2729c3d3da0100.png" alt="\sigma^{2}"/>は</p>
<div class="math" id="equation-e7">
<p><span class="eqno">(4)</span><img src="../_images/math/b8e093b241899f4e84eb7062123e93cc414d3e51.png" alt="\sigma^{2} = \frac{1}{mn}\sum_{\alpha = 1}^{m}\sum_{i=1}^{n}d_{\alpha, i}^{2}"/></p>
</div><p>である。また、</p>
<div class="math" id="equation-e4">
<p><span class="eqno">(5)</span><img src="../_images/math/4eb1ac45991ca797cede1f37bc030d9907dba95c.png" alt="e_{\alpha} = M_{\alpha} - \bar{M} &amp;= \frac{1}{n}\sum_{i=1}^{n}(x_{\alpha, i} - \bar{M}) \\
                                  &amp;= \frac{1}{n}\sum_{i=1}^{n}d_{\alpha, i}"/></p>
</div><p>である。したがって、式<a href="#equation-e4">(5)</a>を<a href="#equation-e3">(3)</a>に代入すると、</p>
<div class="math" id="equation-e5">
<p><span class="eqno">(6)</span><img src="../_images/math/b4301cf90ae370ce5688cce243b170a5d600dbb3.png" alt="\sigma_{m}^{2} = \frac{1}{m}\sum_{\alpha - 1}^{m}\left( \frac{1}{n}\sum_{i=1}^{n}d_{\alpha, i}\right) \left( \frac{1}{n}\sum_{j = 1}^{n}d_{\alpha, j} \right)"/></p>
</div><p>が得られる。式<a href="#equation-e5">(6)</a>の組<img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/>についての試行<img class="math" src="../_images/math/a581f053bbfa5115f42c13094857cdd12a37ec49.png" alt="i"/>,<img class="math" src="../_images/math/d32c78b759903e3f4bd4fd2ce0b86358f7500c5d.png" alt="j"/>に関する和には2種類の項、つまり、<img class="math" src="../_images/math/619fcc1b161ec3913638535bb5391e98874dbce9.png" alt="i=j"/>の項と<img class="math" src="../_images/math/2da42c931d6f7c9ee551ad922d5550cf6f498777.png" alt="i\neq j"/>の項が含まれている。<img class="math" src="../_images/math/440427781bfc0723a20290bbd77e65478e1610f1.png" alt="d_{\alpha, i}"/>と<img class="math" src="../_images/math/33e2c4b84179fd3a4c856460cd860eb3d99c39db.png" alt="d_{\alpha, j}"/>は互いに独立で、平均値としては正と負の値を同程度に取ることが予想されるので、測定回数の大きい極限では、式<a href="#equation-e5">(6)</a>で<img class="math" src="../_images/math/619fcc1b161ec3913638535bb5391e98874dbce9.png" alt="i=j"/>の項だけが和に寄与すると考えてよいだろう。したがって、</p>
<div class="math" id="equation-e6">
<p><span class="eqno">(7)</span><img src="../_images/math/428c8a4a84f30d7301ea90c0f9b5e46cec43b1c4.png" alt="\sigma_{m}^{2} = \frac{1}{mn^{2}}\sum_{\alpha=1}^{m}\sum_{i = 1}^{n}d_{\alpha, i}"/></p>
</div><p>と書く。式<a href="#equation-e6">(7)</a>と<a href="#equation-e7">(4)</a>を組み合わせると、求めていた式</p>
<div class="math">
<p><img src="../_images/math/c0f224067731cdb6c948df87d6ac67ad9069c9e0.png" alt="\sigma_{m}^{2} = \frac{\sigma^{2}}{n}"/></p>
</div><p>が導かれる。</p>
</div>
<div class="section" id="id7">
<h2><a class="toc-backref" href="#id14">参考文献</a><a class="headerlink" href="#id7" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li>ハーベイ・ゴールド,ジャン・トボチニク,石川正勝・宮島佐介訳『計算物理学入門』,ピアソン・エデュケーション, 2000.</li>
<li>鈴木武・山田作太郎著『数理統計学―基礎から学ぶデータ解析―』, 内田老鶴圃, 2008.</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">問題12.1 - 離散的な時間の1次元ランダムウォーク</a><ul>
<li><a class="reference internal" href="#id2">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4">実習課題</a></li>
<li><a class="reference internal" href="#id5">まとめ</a></li>
<li><a class="reference internal" href="#huroku">付録: 平均値の標準偏差</a></li>
<li><a class="reference internal" href="#id7">参考文献</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../6-16_standard_map/6-16.html"
                        title="前の章へ">問題6.16 - 標準写像</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="../12-2_random_walk_d2/12-2.html"
                        title="次の章へ">問題12.2 - 2次元のランダムウォーク</a></p>
  <h3>このページ</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/12-1_random_walk_d1/12-1.txt"
           rel="nofollow">ソースコードを表示</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>クイック検索</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="検索" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    モジュール、クラス、または関数名を入力してください
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="../12-2_random_walk_d2/12-2.html" title="問題12.2 - 2次元のランダムウォーク"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../6-16_standard_map/6-16.html" title="問題6.16 - 標準写像"
             >前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      このドキュメントは <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2 で生成しました。
    </div>
  </body>
</html>